Support Python 3.3 #2743

Closed
certik opened this Issue Nov 14, 2012 · 4 comments

Projects

None yet

3 participants

@certik
Contributor
certik commented Nov 14, 2012

From Peter Cock:

Having looked at the README.txt and INSTALL.txt files on the
branch, I see no mention of which Python 3.x versions are supported:

https://github.com/numpy/numpy/blob/maintenance/1.7.x/README.txt
https://github.com/numpy/numpy/blob/maintenance/1.7.x/INSTALL.txt

Is NumPy 1.7 intended to support Python 3.3?

My impression from this thread is probably yes:
http://mail.scipy.org/pipermail/numpy-discussion/2012-July/063483.html
...
http://mail.scipy.org/pipermail/numpy-discussion/2012-August/063597.html

If so, then under Windows (32 bit at least) where the Python.org
provided Python 3.3 is compiled with MSCV 2010 there are some
problems - see: #2726

@rgommers
Member

Yes, 3.3 should be supported ideally. Those README/INSTALL files aren't very up-to-date, but the release notes should be explicit about what Python versions are supported. Should be all released Pythons >= 2.4.

@peterjc
Contributor
peterjc commented Nov 20, 2012

Ralf has committed the mingw32 fix to master:
724da61

Ralf commented on the pull request this was fine to backport:
#2726

I don't yet see it here yet (which presumably one reason why this issue is still open):
https://github.com/numpy/numpy/commits/maintenance/1.7.x

@certik
Contributor
certik commented Dec 15, 2012

Backported in #2829.

@certik
Contributor
certik commented Dec 15, 2012

Things should work now. Closing this.

@certik certik closed this Dec 15, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment